package Ocsinventory::Agent::Backend::OS::Linux::Services;

use strict;
sub check {
  return unless can_run ("/sbin/chkconfig");
  my $df = `/sbin/chkconfig --list`;
  return 1 if $df =~ /\w+/;
  0
}

sub run {
  my $params = shift;
  my $inventory = $params->{inventory};

  my %listVolume = ();

  foreach my $line (`/sbin/chkconfig --list`) { 

    if($line =~ /^([\w|\-|_]+)\s+0:(on|off)\s+1:(on|off)\s+2:(on|off)\s+3:(on|off)\s+4:(on|off)\s+5:(on|off)\s+6:(on|off)\s*\n/){

	# cleanup values as we add them

	$inventory->addService({
      	  NAME => $1,
          rl0 => ($2 eq 'on') ? 1 : 0,
          rl1 => ($3 eq 'on') ? 1 : 0,
          rl2 => ($4 eq 'on') ? 1 : 0,
          rl3 => ($5 eq 'on') ? 1 : 0,
          rl4 => ($6 eq 'on') ? 1 : 0,
          rl5 => ($7 eq 'on') ? 1 : 0,
          rl6 => ($8 eq 'on') ? 1 : 0
        });

    }
  }

}

1;
